# Copyright (c) 2014 Dave Love, Liverpool University
# Copyright (c) 2017 Dave Love, Manchester University
# MIT licence, per Fedora policy

# Fixme: mpich version

%global commit d28cc1d3c08c02013a68a022a57a6ac73db88166
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           libmonitor
Version:        20180719
Release:        1%{?dist}
Summary:        User callbacks for library, process and thread initialization/creation/destruction
License:        BSD
URL:            https://github.com/HPCToolkit/libmonitor
Source0:        https://github.com/HPCToolkit/%{name}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
BuildRequires:  openmpi-devel


%description
libmonitor provides callback functions for begin, end of processes, threads,
fork, exec, and provides a layer on which to build process monitoring tools
such as profilers.
libmonitor is part of HPCToolkit and is supported by CScADS and PERI.
Source for this release checked out of the subversion tree at:
svn checkout https://outreach.scidac.gov/svn/libmonitor/trunk libmonitor


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %name-%commit


%build
%_openmpi_load
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%license LICENSE
%doc README
%{_libdir}/*.so.*
%_bindir/*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%exclude %{_libdir}/*.a


%changelog
* Sat Jul 28 2018 Dave Love <loveshack@fedoraproject.org> - 20180719-1
- New version

* Thu Oct 19 2017 Dave Love <loveshack@fedoraproject.org> - 20170103-1
- New version, new origin
- Clean up spec

* Sat Mar  8 2014 Dave Love <d.love@liverpool.ac.uk> - 20130218-1
- Initial packaging

